/*NAV*/
.sodm-nav {
  position: sticky;
  top: 0;
  z-index: 100;
  background: white;
  padding: 16px 0;
}

.sodm-nav-dropdown {
  width: 100%;
  position: relative;
  margin-right: 24px;
  cursor: pointer;
}
.reports-dropdown:before {
  content: "Report: ";
  position: absolute;
  font-family: "Messina Sans";
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 130%;
  letter-spacing: -0.14px;
  left: -55px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.sodm-nav-dropdown:not(.reports-dropdown):before {
  content: "Section: ";
  position: absolute;
  font-family: "Messina Sans";
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 130%;
  letter-spacing: -0.14px;
  left: -55px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.sodm-nav-dropdown:not(.reports-dropdown) .sodm-nav-button {
  background: white;
  border: solid 1px #efefef;
}
.sodm-nav-button {
  width: 100%;
  padding: 12px 16px;
  background: #efeeff;
  /* border: 1px solid #e5e7eb; */
  border-radius: 4px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  font-size: 14px;
  transition: all 0.2s ease;
}

.sodm-nav-button:hover {
  border-color: #6b7280;
}

.sodm-nav-options {
  position: absolute;
  top: calc(100% + 4px);
  left: 0;
  width: 100%;
  background: white;
  border-radius: 4px;
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1);
  opacity: 0;
  visibility: hidden;
  transition: all 0.2s ease;
}

.sodm-nav-options.show {
  opacity: 1;
  visibility: visible;
}

.nav-option {
  display: block;
  padding: 12px 16px;
  color: #374151;
  text-decoration: none;
  transition: all 0.2s ease;
  font-size: 14px;
}

.nav-option:hover {
  background: #efeeff;
  color: #4131f1;
}

.nav-option.active {
  background: #efeeff;
  font-weight: 600;
}

/* Animation for the dropdown arrow */
.sodm-nav-button svg {
  transition: transform 0.2s ease;
}

.sodm-nav-button.active svg {
  transform: rotate(180deg);
}
.sodm-cta-section,
.sodm-fw-section {
  position: relative;
}
.sodm-cta-section:before,
.sodm-fw-section:before {
  content: "";
  position: absolute;
  top: 48px;
  border-top: solid 1px rgba(39, 208, 232, 0.45);
  width: 100%;
}
.sodm-cta-section.magenta:before {
  border-top: solid 1px rgba(255, 255, 255, 0.45);
}
.sodm-cta-section:after,
.sodm-fw-section:after {
  content: "";
  position: absolute;
  bottom: 48px;
  border-top: solid 1px rgba(39, 208, 232, 0.45);
  width: 100%;
}
.sodm-cta-section.magenta:after {
  border-top: solid 1px rgba(255, 255, 255, 0.45);
}
.sodm-fw-section-inner {
  position: relative;
}

.sodm-fw-section-inner:before {
  content: url("https://cdn.prod.website-files.com/5e1e5c62fa3d4447af417098/67ad2cde8c043393a580471a_customer_spotlight.svg");
  left: -48px;
  position: absolute;
  top: 0px;
  height: 100%;

  width: 100%;
}
.sodm-fw-section-inner.personalization-at-scale:before {
  content: url("https://cdn.prod.website-files.com/5e1e5c62fa3d4447af417098/67ad30df2963be9754831ee1_personalization_at_scale.svg");
}
.sodm-fw-section-inner.data-driven-targeting:before {
  content: url("https://cdn.prod.website-files.com/5e1e5c62fa3d4447af417098/67ad579a1b953099f1bb1727_data-driven-target.svg");
}
.sodm-fw-section-inner:after {
  position: absolute;
  content: "";
  left: -48px;
  height: 100%;
  max-height: 50%;
  width: 100%;
  bottom: 20px;
  background-image: url("https://cdn.prod.website-files.com/5e1e5c62fa3d4447af417098/67b5122b7d5dbf3bd6a96963_4b2749a876f7798c7884aa3ddd1dbb46_new_wave_bg.svg");
  background-size: cover;
  background-repeat: no-repeat;
}
.sodm-mobile-header {
  position: relative;
}
.sodm-mobile-header:before {
  content: "";
  position: absolute;
  left: 35px;
  border-left: solid 1px rgba(39, 208, 232, 0.45);
  height: 100%;
}
.sodm-mobile-header:after {
  content: "";
  position: absolute;
  right: 35px;
  border-left: solid 1px rgba(39, 208, 232, 0.45);
  height: 100%;
}
.sodm-mobile-afterline {
  position: relative;
}
.sodm-mobile-afterline::after {
  position: absolute;
  content: "";
  background-image: url("https://cdn.prod.website-files.com/5e1e5c62fa3d4447af417098/67b5452847b81946b391758e_dea783e21779a9b459b91fc6947536ae_yellow_line.svg");
  left: 5px;
  bottom: -20px;
  background-repeat: no-repeat;
  width: 100%;
  height: 20px;
}
canvas {
  max-width: 100%;
}
#chart1 {
  min-height: 550px;
  width: 100%;
  margin-bottom: -20px;
}
#chart2 {
  min-height: 650px;
}
#chart3 {
  min-height: 650px;
}
#chart4 {
  /* border: solid red 3px; */
}
#chart5,
#chart6,
#chart7 {
  /* min-width: 350px; */
  min-height: 300px;
  max-width: 100%;
  margin-top: -50px;
}
#chart8 {
  min-height: 500px;
  min-width: 350px;
  max-width: 100%;
  margin-top: -50px;
}
#chart4,
#chart9 {
  min-height: 800px !important;
}
#chart10 {
  min-height: 600px !important;
}
#chart11 {
  min-height: 280px;
}
#chart12 {
  min-height: 950px;
}
#chart13 {
  min-height: 1200px;
}
#chart14 {
  min-height: 700px;
}
#chart15 {
  min-height: 200px;
}
#chart16 {
  min-height: 390px;
  max-width: 100%;
}
#chart17 {
  min-height: 350px;
}
#chart18,
#chart19,
#chart20,
#chart21,
#chart22 {
  margin-bottom: 30px;
}
#chart22 {
  /* border: solid; */
  max-width: 80%;
}

.fw-grid-item {
  grid-column-start: 1;
  grid-column-end: 3;
}

.eyebrow:has(+ .canvas-container) {
  margin-left: 10px;
  margin-top: 20px;
}
.chart-container.no-chart:has(.chart-footer.pink) {
  border-bottom-style: none;
  position: relative;
}
.chart-container.no-chart .chart-footer.pink {
  position: relative;
  width: calc(100% + 2px);
  left: -1px;
}

@media screen and (max-width: 990px) {
  #chart22 {
    min-height: 600px;
  }
}
